classification
Title: Use specific asserts in sqlite3 tests
Type: enhancement Stage: resolved
Components: Tests Versions: Python 3.3, Python 3.4, Python 2.7
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: serhiy.storchaka Nosy List: ezio.melotti, ghaering, python-dev, serhiy.storchaka
Priority: normal Keywords: patch

Created on 2013-11-15 08:08 by serhiy.storchaka, last changed 2013-11-17 12:48 by serhiy.storchaka. This issue is now closed.

Files
File name Uploaded Description Edit
test_sqlite3_asserts.patch serhiy.storchaka, 2013-11-15 08:08 review
Messages (3)
msg202923 - (view) Author: Serhiy Storchaka (serhiy.storchaka) * (Python committer) Date: 2013-11-15 08:08
The proposed patch makes the sqlite3 package tests use more specific asserts. This will provide more useful failure report.
msg203092 - (view) Author: Ezio Melotti (ezio.melotti) * (Python committer) Date: 2013-11-16 21:57
LGTM.
msg203136 - (view) Author: Roundup Robot (python-dev) (Python triager) Date: 2013-11-17 10:58
New changeset 981d161a52be by Serhiy Storchaka in branch '3.3':
Issue #19601: Use specific asserts in sqlite3 tests.
http://hg.python.org/cpython/rev/981d161a52be

New changeset d004ccdd6a57 by Serhiy Storchaka in branch '2.7':
Issue #19601: Use specific asserts in sqlite3 tests.
http://hg.python.org/cpython/rev/d004ccdd6a57

New changeset 6a6ecc7149f4 by Serhiy Storchaka in branch 'default':
Issue #19601: Use specific asserts in sqlite3 tests.
http://hg.python.org/cpython/rev/6a6ecc7149f4
History
Date User Action Args
2013-11-17 12:48:51serhiy.storchakasetstatus: open -> closed
assignee: serhiy.storchaka
resolution: fixed
stage: commit review -> resolved
2013-11-17 10:58:20python-devsetnosy: + python-dev
messages: + msg203136
2013-11-16 21:57:32ezio.melottisetnosy: + ezio.melotti

messages: + msg203092
stage: patch review -> commit review
2013-11-15 08:14:58serhiy.storchakalinkissue16510 dependencies
2013-11-15 08:08:31serhiy.storchakacreate